Page MenuHomePhabricator

No events are getting fired for username selection option
Closed, ResolvedPublic

Description

This task is about making it so the correct event is fired when people interact with the "👤" icon in the Reply tool's visual text input mode.

Behavior

  1. Visit: https://en.wikipedia.beta.wmflabs.org/wiki/Talk:Cats?trackdebug=1
  2. Click any "Reply" link
  3. Open the Reply tool's visual mode
  4. Click the the "👤" icon in the toolbar

Expected

  1. ✅ Observe the following event is shown in the console as being logged:
"editor_interface": "visualeditor"
"schema": "VisualEditorFeatureUse"
"feature": "mwUsernameCompletion"
"action": "window-open-from-tool"

Actual
5.❗️Observe no event is shown in the console as being logged.

Done

  • The Expected behavior has been implemented

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2020, 12:17 AM
ppelberg updated the task description. (Show Details)Jun 19 2020, 1:20 AM

Task description updated

  • Fixed typo: changed from FROM window-open-from-sequence --TO--> window-open-from-tool
Esanders assigned this task to DLynch.Jun 23 2020, 3:09 PM

Change 607302 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/DiscussionTools@master] Fire window-open-from-tool event for username completion from toolbar

https://gerrit.wikimedia.org/r/607302

Change 607302 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Fire window-open-from-tool event for username completion from toolbar

https://gerrit.wikimedia.org/r/607302

ppelberg moved this task from Inbox to High Priority on the Editing QA board.

This is now getting logged correctly.

ppelberg closed this task as Resolved.Jul 1 2020, 6:55 PM

This is now getting logged correctly.

Excellent. Thank you, Rummana.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 1 2020, 6:55 PM